
Katello - Bug #6270

Missing Remove button next to all published Content View versions

06/18/2014 01:18 PM - Brad Buckingham

Status: Closed   

Priority: Normal   

Assignee: Brad Buckingham   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1110020 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1110020

Description of problem:

For every published version of a content view, the UI should display a 'Remove' button. The attached screenshot shows that though

Version 2 does have a Remove button, Version 1's is missing.

Synchronized RHEL 7Server RPMs for x86_64 and a custom yum repo pointing to the katello-agent. Added them both to a content

view, added a puppet module from a third custom puppet repo and published/promoted to DEV environment (Library + 1). Created

second custom repo pointing to same yum content, synchronized it. Edited the content view by removing the old custom repo and

adding the new one. Published a second version of the content view and promoted it to DEV again.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.17-1.el6sat.noarch

foreman-compute-1.6.0.17-1.el6sat.noarch

foreman-gce-1.6.0.17-1.el6sat.noarch

foreman-libvirt-1.6.0.17-1.el6sat.noarch

foreman-ovirt-1.6.0.17-1.el6sat.noarch

foreman-postgresql-1.6.0.17-1.el6sat.noarch

foreman-proxy-1.6.0.7-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.17-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.48-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-selinux-2.4.0-0.20.beta.el6sat.noarch

pulp-server-2.4.0-0.20.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

rubygem-hammer_cli-0.1.1-4.el6sat.noarch

rubygem-hammer_cli_foreman-0.1.1-9.el6sat.noarch

rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch

rubygem-hammer_cli_katello-0.0.4-6.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

Associated revisions

Revision 3ff107fb - 06/23/2014 10:34 AM - Brad Buckingham

fixes #6270 / BZ 1110020 - fix issues with content view version deletion

This commit fixes a few issues with content view version deletion.  They are:

1. The 'Remove' button is not available for an archived version that is not

currently associated with a lifecycle environment

2. The 'Next' button in the removal widget is disabled on the Lifecycle

Environment step

3. When deleting an archive, the version is deleted; however, the finalize

step would fail in dynflow since all information associated with the

version is being removed, including the history which is used in

finalize.

Revision b3a5befa - 06/23/2014 11:46 AM - Brad Buckingham

Merge pull request #4299 from bbuckingham/issue-6270

fixes #6270 / BZ 1110020 - fix issues with content view version deletion

Revision 2d4e506d - 06/23/2014 02:34 PM - Brad Buckingham

fixes #6270 / BZ 1110020 - fix issues with content view version deletion

This commit fixes a few issues with content view version deletion.  They are:

1. The 'Remove' button is not available for an archived version that is not

currently associated with a lifecycle environment

2. The 'Next' button in the removal widget is disabled on the Lifecycle

Environment step

3. When deleting an archive, the version is deleted; however, the finalize

step would fail in dynflow since all information associated with the

version is being removed, including the history which is used in

finalize.

Revision d94286f5 - 06/23/2014 03:46 PM - Brad Buckingham

Merge pull request #4299 from bbuckingham/issue-6270

fixes #6270 / BZ 1110020 - fix issues with content view version deletion

History

#1 - 06/18/2014 01:19 PM - Brad Buckingham

- Assignee set to Brad Buckingham

- Target version set to 48

- translation missing: en.field_release set to 13

- Triaged set to Yes

#2 - 06/23/2014 03:52 PM - Brad Buckingham
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:2d4e506d121622f46a0f54fec86fbf98ba045fb3.
